Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ka2ddo.yaac.gui
Class BlacklistListModel

    java.lang.Object
      javax.swing.AbstractListModel
          org.ka2ddo.yaac.gui.BlacklistListModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.ListModel

    public class BlacklistListModel

extends javax.swing.AbstractListModel

This class makes the list of digipeater blacklisted callsigns visible as an editable table view by implementing a Swing TableModel.

See Also:
  Serialized Form

Field Summary

Fields inherited from class javax.swing.AbstractListModel
`listenerList`

Constructor Summary
`BlacklistListModel()`

Method Summary
`void` | `addToBlacklist(java.lang.String callsign)` Add a callsign to the blacklist.
`java.lang.Object` | `getElementAt(int index)` Returns the value at the specified index.
`int` | `getSize()` Returns the length of the list.
`void` | `removeFromBlacklist(java.lang.String callsign)` Remove a callsign from the blacklist.

Methods inherited from class javax.swing.AbstractListModel
`addListDataListener, fireContentsChanged, fireIntervalAdded, fireIntervalRemoved, getListDataListeners, getListeners, removeListDataListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BlacklistListModel

    public BlacklistListModel()

Method Detail

### getElementAt

    public java.lang.Object getElementAt(int index)

  Returns the value at the specified index.

  Parameters:
    `index` - the requested index
  Returns:
    the value at `index`

### getSize

    public int getSize()

  Returns the length of the list.

  Returns:
    the length of the list

### addToBlacklist

    public void addToBlacklist(java.lang.String callsign)

  Add a callsign to the blacklist.

  Parameters:
    `callsign` - String of callsign

### removeFromBlacklist

    public void removeFromBlacklist(java.lang.String callsign)

  Remove a callsign from the blacklist.

  Parameters:
    `callsign` - String of callsign

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD